Sponsor:

Server and Web Integrator
Link:
Kloxo-MR logo
6.5.0 or 7.0.0
Click for "How to install"
Donation/Sponsorship:
Kloxo-MR is open-source.
Donate and or Sponsorship always welcome.
Click to:
Click Here
Please login or register. 2018-08-21, 04:24:47

Author Topic: [UPDATE] Kloxo-MR 6.5.1.b-2014032301 with user-level php  (Read 5807 times)

0 Members and 1 Guest are viewing this topic.

Offline MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,382
  • Karma: +115/-9
  • Gender: Male
    • View Profile
    • MRatWork Forum
Any change between 2014032301 and previous.

In 2014032301, php able to set per-user. That mean you can not see 'php configure' in domain but in client.

With user-level php, we can set 'pm.max_children' (how many php threads allocate per-user) in 'Limit'  (see 'Number Of FastCGI Children'). If we see 'Unlimited', Kloxo-MR will think as 'default' (6; six) threads.

If you found error after update, follow this step:

1. Run 'sh /script/fixlxphpexe php53s' and check with 'lxphp -v'
2. If found error, run 'sh /script/fixlxphpexe php52s' and check with 'lxphp -v'
3. And then run 'sh /script/restart; sh /script/cleanup'

NOTE:
- We can see many script like 'php53s-installer' in /script directory
- Purpose for many php branches installer are for 'multi-php' (not ready yet)
« Last Edit: 2014-03-24, 07:49:01 by MRatWork »
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,382
  • Karma: +115/-9
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: [UPDATE] Kloxo-MR 6.5.1.b-2014032301 with user-level php
« Reply #1 on: 2014-03-24, 07:53:24 »
We can install php52s and php53s together with running 'sh /script/php52s-installer; sh /script/php53s-installer' and choose php52s or php53s for Kloxo-MR with 'sh /script/fixlxphpexe php52s' or 'sh /script/fixlxphpexe php53s'.
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline Spacedust

  • Super Grand Master
  • ****
  • Posts: 3,962
  • Karma: +1/-0
    • View Profile
Re: [UPDATE] Kloxo-MR 6.5.1.b-2014032301 with user-level php
« Reply #2 on: 2014-03-30, 19:42:00 »
Mustafa mean lxphp.exe -v ;)

Offline MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,382
  • Karma: +115/-9
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: [UPDATE] Kloxo-MR 6.5.1.b-2014032301 with user-level php
« Reply #3 on: 2014-03-31, 04:45:31 »
It's possible using lxphp.exe with php52m, php52s, php53m, php53s, php54m and php55m.
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline Spacedust

  • Super Grand Master
  • ****
  • Posts: 3,962
  • Karma: +1/-0
    • View Profile
Re: [UPDATE] Kloxo-MR 6.5.1.b-2014032301 with user-level php
« Reply #4 on: 2014-04-03, 19:56:58 »
I've switched to php54m, but still unable to fully remove php53s-fpm !

 


Top 10 Social Networking:    Facebook    Twitter    LinkedIn    Pinterest    Google Plus    Tumblr    Instagram    VK    Flickr    Vine
Click Here

Page created in 0.032 seconds with 18 queries.

web stats analysis